## ffmpeg-dmo 6.1.4

=== debian/changelog ===
ffmpeg-dmo (10:6.1.4-dmo0~bpo12+1) bookworm-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Nov 2025 16:26:30 +0100
