## ffmpeg-dmo 7.1

=== debian/changelog ===
ffmpeg-dmo (10:7.1-dmo2+nmu0~cc1) unstable; urgency=medium

  * Rebuild to address missing symbols

 -- Caoimhe Chaos <caoimhechaos@protonmail.com>  Sat, 18 Jan 2025 02:30:34 +0100

ffmpeg-dmo (10:7.1-dmo2) unstable; urgency=medium

  * Build with librubberband3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 26 Oct 2024 08:26:30 +0200

ffmpeg-dmo (10:7.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 Sep 2024 12:01:35 +0200

ffmpeg-dmo (10:7.0.2-dmo3) unstable; urgency=medium

  * Build with libx265-212

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 Sep 2024 09:24:40 +0200

ffmpeg-dmo (10:7.0.2-dmo2) unstable; urgency=medium

  * Add upstream patch to fix build with binutils 2.43 on armel and armhf
    architectures.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Aug 2024 23:47:33 +0200

ffmpeg-dmo (10:7.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Aug 2024 07:06:09 +0200

ffmpeg-dmo (10:7.0.1-dmo5) unstable; urgency=medium

  * Disable mlp and truehd decoders for armel and armhf arches until ffmpeg
    build is fixed.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Jul 2024 09:49:27 +0200

ffmpeg-dmo (10:7.0.1-dmo4) unstable; urgency=medium

  * Build with libplacebo349

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Jul 2024 18:27:00 +0200

ffmpeg-dmo (10:7.0.1-dmo3) unstable; urgency=medium

  * Build with libjxl0.9

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 26 Jun 2024 18:12:39 +0200

ffmpeg-dmo (10:7.0.1-dmo2) unstable; urgency=medium

  * Build with libjxl0.8

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 31 May 2024 14:59:17 +0200

ffmpeg-dmo (10:7.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 26 May 2024 08:53:22 +0200

ffmpeg-dmo (10:7.0-dmo3) unstable; urgency=medium

  * Build with libvpx9

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 May 2024 09:25:24 +0200

ffmpeg-dmo (10:7.0-dmo2) unstable; urgency=medium

  * Add Conflicts/Replaces fot libav*-6-dev packages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Apr 2024 08:11:11 +0200

ffmpeg-dmo (10:7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 Apr 2024 02:00:23 +0200

ffmpeg-dmo (10:6.1.1-dmo3) unstable; urgency=medium

  * Build with libx265-209

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Apr 2024 17:34:22 +0200

ffmpeg-dmo (10:6.1.1-dmo2) unstable; urgency=medium

  * Build with libsvtav1enc2

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Mar 2024 08:11:40 +0100
