## ffmpeg-dmo 7.1.2

=== debian/changelog ===
ffmpeg-dmo (10:7.1.2-dmo1+deb13u1) trixie; urgency=medium

  * New upstream release.
  * Fixes following vulnerabilities: CVE-2025-1594

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 15 Sep 2025 09:03:10 +0200

ffmpeg-dmo (10:7.1.1-dmo2) unstable; urgency=medium

  * Build with libplacebo351

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 May 2025 10:53:35 +0200

ffmpeg-dmo (10:7.1.1-dmo1+b2) unstable; urgency=medium

  * Build with libx264-165

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Mar 2025 10:03:16 +0100

ffmpeg-dmo (10:7.1.1-dmo1+b1) unstable; urgency=medium

  * Build with libjxl0.11

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Mar 2025 09:12:18 +0100

ffmpeg-dmo (10:7.1.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Fixes CVE-2025-0518 - Unchecked Return Value, Out-of-bounds Read
    vulnerability.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Mar 2025 09:50:48 +0100

ffmpeg-dmo (10:7.1-dmo4+b1) unstable; urgency=medium

  * Build with libsvtav1enc3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 22 Feb 2025 10:32:09 +0100

ffmpeg-dmo (10:7.1-dmo4) unstable; urgency=medium

  * Build with libopenh264-8

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Feb 2025 09:36:55 +0100

ffmpeg-dmo (10:7.1-dmo3) unstable; urgency=medium

  * Build without libunwind

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Jan 2025 11:59:25 +0100

ffmpeg-dmo (10:7.1-dmo2+b2) unstable; urgency=medium

  * Build with libjxl0.10

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 27 Dec 2024 10:23:11 +0100

ffmpeg-dmo (10:7.1-dmo2+b1) unstable; urgency=medium

  * Build with libx265-215; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Nov 2024 08:27:34 +0100
