=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://ffmpeg.org/
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends-Indep: doxygen, tree
 Build-Depends: debhelper-compat (= 13), libmp3lame-dev, zlib1g-dev, libvorbis-dev,
  libsdl2-dev, quilt, libxvidcore-dev, liblzo2-dev, texinfo, libgcrypt-dev,
@@ -20,7 +19,7 @@
  libaom-dev (>= 1:3.0.0~), libfontconfig-dev, libfdk-aac-dev, libpulse-dev,
  libzvbi-dev, libiec61883-dev, libavc1394-dev, libleptonica-dev, liblzma-dev,
  libvidstab-dev (>= 2:1.1.1~), libx265-dev (>= 1:3.5), libxext-dev, libcaca-dev,
- libkvazaar-dev (>= 1:2.2.0), libopenh264-dev (>= 2.1.1), librubberband-dev,
+ libkvazaar-dev (>= 1:2.2.0), libopenh264-dev (>= 2.6.0~), librubberband-dev,
  libwebp-dev (>= 0.6.0), libgme-dev, glslang-dev, libsvtav1enc-dev, opencl-c-headers,
  libshine-dev (>= 3.0.0), libfribidi-dev, libxcb1-dev, libxcb-shm0-dev,
  libxcb-xfixes0-dev, libvpl-dev [amd64], libcdio-paranoia-dev, libdvdnav-dev,
@@ -29,10 +28,9 @@
  libmysofa-dev (>= 1), libbluray-dev (>= 2:1.0.0), libzmq3-dev, libaribb24-dev,
  liblensfun-dev, liblilv-dev, flite1-dev, librsvg2-dev, libtwolame-dev,
  libopenal-dev, librabbitmq-dev, libvmaf-dev, amf-codec-headers [amd64],
- libvulkan-dev, libxavs2-dev, libsrt-gnutls-dev (>= 1.4.2-1.1), libdavs2-dev,
+ libxavs2-dev, libvulkan-dev, libsrt-gnutls-dev (>= 1.4.2-1.1), libdavs2-dev,
  libxml2-utils, libplacebo-dev (>= 2:6.338.0), libsmbclient-dev,
- libchromaprint-dev, libnvidia-glvkspirv [amd64 i386], libunwind-dev,
- clang [amd64 arm64],
+ libchromaprint-dev, libnvidia-glvkspirv [amd64 i386], clang [amd64 arm64],
 
 # No, because add dependencies from non-free
 # --enable-libnpp
@@ -43,10 +41,10 @@
 
 Package: ffmpeg
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: nvidia-vdpau-driver [amd64 arm64 i386], ffmpeg-doc
-Replaces: libavcodec52, libav-tools, ffplay
-Conflicts: ffprobe, ffplay
+Depends: ${shlibs:Depends}, ${misc:Depends},
+Suggests: nvidia-vdpau-driver [amd64 arm64 i386], ffmpeg-doc,
+Replaces: libavcodec52, libav-tools, ffplay,
+Conflicts: ffprobe, ffplay,
 Description: audio/video encoder, streaming server & audio/video file converter
  FFmpeg is the leading multimedia framework, able to decode, encode,
  transcode, mux, demux, stream, filter and play pretty much anything that
@@ -61,8 +59,8 @@
 Package: ffmpeg-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, node-jquery
-Replaces: ffmpeg (<= 10:2.2.1-dmo2)
+Depends: ${misc:Depends}, libjs-jquery, libjs-bootstrap5,
+Replaces: ffmpeg (<= 10:2.2.1-dmo2),
 Description: Documentation of the FFmpeg API
  This package contains the html doxygen documentation of the FFmpeg API.
 
@@ -70,8 +68,8 @@
 Architecture: any
 Section: libs
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: libnvidia-encode1 [amd64 arm64 i386]
+Depends: ${shlibs:Depends}, ${misc:Depends},
+Suggests: libnvidia-encode1 [amd64 arm64 i386],
 Description: Library to encode decode multimedia streams - runtime files
  FFmpeg is a hyper fast real time audio/video encoder, a streaming server
  and a generic audio and video file converter.
@@ -84,9 +82,9 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Conflicts: libavcodec-4-dev, libavcodec-5-dev, libavcodec-6-dev
-Replaces: libavcodec-4-dev, libavcodec-5-dev, libavcodec-6-dev
-Depends: libavcodec61 (= ${binary:Version}), libswresample-dev (>= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
+Conflicts: libavcodec-4-dev, libavcodec-5-dev, libavcodec-6-dev,
+Replaces: libavcodec-4-dev, libavcodec-5-dev, libavcodec-6-dev,
+Depends: libavcodec61 (= ${binary:Version}), libswresample-dev (>= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends},
 Description: Library to encode decode multimedia streams - devel files
  FFmpeg is a hyper fast real time audio/video encoder, a streaming server
  and a generic audio and video file converter.
@@ -99,7 +97,7 @@
 Architecture: any
 Section: libs
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: postproc shared libraries
  This package contains the FFmpeg video postprocessing shared library.
 
@@ -107,9 +105,9 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Conflicts: libpostproc-4-dev, libpostproc-5-dev, libpostproc-6-dev
-Replaces: libpostproc-4-dev, libpostproc-5-dev, libpostproc-6-dev
-Depends: libpostproc58 (= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
+Conflicts: libpostproc-4-dev, libpostproc-5-dev, libpostproc-6-dev,
+Replaces: libpostproc-4-dev, libpostproc-5-dev, libpostproc-6-dev,
+Depends: libpostproc58 (= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends},
 Description: postproc devel files
  This package contains the FFmpeg video postprocessing devel files.
 
@@ -117,7 +115,7 @@
 Architecture: any
 Section: libs
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: FFmpeg avutil library - runtime files
  This package contains the FFmpeg video utility.
 
@@ -125,9 +123,9 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Conflicts: libavutil-4-dev, libavutil-5-dev, libavutil-6-dev
-Replaces: libavutil-4-dev, libavutil-5-dev, libavutil-6-dev
-Depends: libavutil59 (= ${binary:Version}), ${misc:Depends}, pkgconf
+Conflicts: libavutil-4-dev, libavutil-5-dev, libavutil-6-dev,
+Replaces: libavutil-4-dev, libavutil-5-dev, libavutil-6-dev,
+Depends: libavutil59 (= ${binary:Version}), ${misc:Depends}, pkgconf,
 Description: FFmpeg avutil devel files - devel files
  This package contains the FFmpeg video utility.
 
@@ -135,7 +133,7 @@
 Architecture: any
 Section: libs
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: FFmpeg file format library
  This is the demuxer library from the FFmpeg project. It supports most
  existing file formats (AVI, MPEG, OGG, Matroska, ASF...).
@@ -144,9 +142,9 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Conflicts: libavformat-4-dev, libavformat-5-dev, libavformat-6-dev
-Replaces: libavformat-4-dev, libavformat-5-dev, libavformat-6-dev
-Depends: libavformat61 (= ${binary:Version}), libavcodec-dev (>= ${binary:Version}), libswresample-dev (>= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
+Conflicts: libavformat-4-dev, libavformat-5-dev, libavformat-6-dev,
+Replaces: libavformat-4-dev, libavformat-5-dev, libavformat-6-dev,
+Depends: libavformat61 (= ${binary:Version}), libavcodec-dev (>= ${binary:Version}), libswresample-dev (>= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends},
 Description: Development files for libavformat
  This is the demuxer library from the FFmpeg project. It supports most
  existing file formats (AVI, MPEG, OGG, Matroska, ASF...).
@@ -155,7 +153,7 @@
 Architecture: any
 Section: libs
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: FFmpeg library for image scaling and various conversions - runtime files
  FFmpeg is the leading multimedia framework, able to decode, encode,
  transcode, mux, demux, stream, filter and play pretty much anything that
@@ -181,9 +179,9 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Conflicts: libswscale-4-dev, libswscale-5-dev, libswscale-6-dev
-Replaces: libswscale-4-dev, libswscale-5-dev, libswscale-6-dev
-Depends: libswscale8 (= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
+Conflicts: libswscale-4-dev, libswscale-5-dev, libswscale-6-dev,
+Replaces: libswscale-4-dev, libswscale-5-dev, libswscale-6-dev,
+Depends: libswscale8 (= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends},
 Description: FFmpeg library for image scaling and various conversions - development files
  FFmpeg is the leading multimedia framework, able to decode, encode,
  transcode, mux, demux, stream, filter and play pretty much anything that
@@ -209,7 +207,7 @@
 Architecture: any
 Section: libs
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: FFmpeg library for handling input and output devices - runtime files
  FFmpeg is the leading multimedia framework, able to decode, encode,
  transcode, mux, demux, stream, filter and play pretty much anything that
@@ -226,9 +224,12 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Conflicts: libavdevice-4-dev, libavdevice-5-dev, libavdevice-6-dev
-Replaces: libavdevice-4-dev, libavdevice-5-dev, libavdevice-6-dev
-Depends: libavdevice61 (= ${binary:Version}), libavfilter-dev (>= ${binary:Version}), libswscale-dev (>= ${binary:Version}), libpostproc-dev (>= ${binary:Version}), libavformat-dev (>= ${binary:Version}), libavcodec-dev (>= ${binary:Version}), libswresample-dev (>= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
+Conflicts: libavdevice-4-dev, libavdevice-5-dev, libavdevice-6-dev,
+Replaces: libavdevice-4-dev, libavdevice-5-dev, libavdevice-6-dev,
+Depends: libavdevice61 (= ${binary:Version}), libavfilter-dev (>= ${binary:Version}),
+ libswscale-dev (>= ${binary:Version}), libpostproc-dev (>= ${binary:Version}),
+ libavformat-dev (>= ${binary:Version}), libavcodec-dev (>= ${binary:Version}),
+ libswresample-dev (>= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends},
 Description: FFmpeg library for handling input and output devices - development files
  FFmpeg is the leading multimedia framework, able to decode, encode,
  transcode, mux, demux, stream, filter and play pretty much anything that
@@ -245,7 +246,7 @@
 Architecture: any
 Section: libs
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: FFmpeg filter library
  libavfilter is a graphics library, therefore for:
  .
