## ffmpeg-dmo 7.1.3

=== debian/changelog ===
ffmpeg-dmo (10:7.1.3-dmo1+deb13u1) trixie; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Nov 2025 08:05:18 +0100
